This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 113682 - Delete key broken in non-login tcsh shell
Delete key broken in non-login tcsh shell
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 10:10 EST by Bob T.
Modified: 2014-03-16 22:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.5.34-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 01:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bob T. 2004-01-16 10:10:24 EST
Description of problem: Delete key broken in non-login tcsh shell


Version-Release number of selected component (if applicable):


How reproducible: every time


Steps to Reproduce:
1. tcsh in an xterm
2. try to use the Delete key at the prompt
3.
  
Actual results: beeps and produces a ~ 


Expected results:


Additional info:
Comment 1 Bob T. 2004-01-16 10:11:42 EST
Can be fixed by moving the lines 

if ( $?tcsh ) then
        bindkey "^[[3~" delete-char
endif

from /etc/csh.login
to   /etc/csh.cshrc
Comment 2 Bob T. 2004-01-25 20:33:47 EST
This bug (and its correction) have been noted before, bug #24036. But
that bug was closed without being properly fixed so I won't mark this
as a duplicate; it's hard enough getting anyone to notice :+)   	 
Comment 3 Bill Nottingham 2004-09-23 01:03:26 EDT
Done in 2.5.34-1.

Note You need to log in before you can comment on or make changes to this bug.